Skip to content

Acknowledging modified/cancelled reservations

Similar to new reservations, Booking.com maintains all incoming modified or cancelled reservations specific to a provider using a dedicated queue. For OTA implementation, Booking.com waits until you acknowledge receiving the modified or cancelled reservations successfully before removing the acknowledged reservations from the queue. Otherwise, Booking.com forwards the missed reservations as an email to the property after a specific time period.

When acknowledging you can send one of the following status:

  • Successfully processed - Booking.com acknowledges and removes the modified/cancelled reservation from the queue.
  • Unsuccessfully processed - Booking.com keeps the modified/cancelled reservations in the queue until you acknowledge successfully or until the timeout period.

To acknowledge modified or cancelled reservation

POST https://secure-supply-xml.booking.com/hotels/ota/OTA_HotelResModifyNotif

Use the POST OTA_HotelResModifyNotif endpoint to acknowledge processing the modified or cancelled reservations.

Confirm each reservation

Make sure to confirm every modified or cancelled reservation message in separate requests or in one request using the HotelReservationID tag multiple times.

Request body parameters

The following table describes the elements you must add in the request body:

ElementAttributeDescriptionTypeRequired/
Optional
Notes
OTA_HotelResModifyNotifRSRoot element.objectrequired
TimeStampdatetimerequired
TargetEnumerated stringrequired
> HotelResModifiesobjectrequired
>> HotelResModifyobjectrequired
>>> ResGlobalInfoobjectrequired
>>>> HotelReservationIDsContains the reservation IDs for acknowledgement.objectrequired
>>>>> HotelReservationIDContains individual reservation ID for acknowledgementobjectrequired
ResID_ValueSpecifies the Booking.com reservation ID.integer/alphanumericrequiredSee the <HotelReservationIDs> element in the matching GET response: OTA_HotelResNotif for new reservations or OTA_HotelResModifyNotif for modified or cancelled reservations.
The following instructions apply only when the OTA hotel reservation response token (ota_res_response_token) feature is enabled.
To acknowledge a reservation that was changed since you last retrieved the reservation details, you must provide an additional HotelReservationID element with an alphanumeric value in the ResID_Value.
You can copy and paste both the HotelReservationID elements from the matching GET call.
ResID_SourceSpecify the reservation source. Only applicable when the OTA hotel reservation response token feature is enabled.enumerated stringoptionalAccepts the value BOOKING.COM. If you omit the attribute, the API treats the source as BOOKING.COM.
ResID_TypeSpecifies the Booking.com Reservation type. Only applicable when the OTA hotel reservation response token feature is enabled.enumerated stringoptionalMake sure to copy and paste the <HotelReservationID> elements under <HotelReservationIDs> from the matching GET response: OTA_HotelResNotif for new reservations or OTA_HotelResModifyNotif for modified or cancelled reservations.
Can contain the following values:
- 14: To acknowledge a new reservation
- 18: To acknowledge a reservation that was modified since the last retrieval. When using this value, make sure to provide both the ResID_Values.
If you omit ResID_Type, the API treats the element as ResID_Type="14". Every acknowledgement must contain at least one HotelReservationID with ResID_Type="14" and ResID_Source="BOOKING.COM"; otherwise the API returns an HTTP 400 error.
ResID_DateSpecifies the date and time when the reservation was created.datetimeoptionalApplies only to the HotelReservationID element that carries the numeric reservation ID, not to the response-token element (ResID_Type="18"). Copy the value from the <HotelReservationID> element in the matching GET response. If the value is not available, omit the attribute; do not send a placeholder value. Format: ISO 8601, for example 2026-07-06T06:40:53.
> SuccessSpecifies successful processing of the reservation.objectrequired if Errors is not specified

| > Errors | | Contains the error details in case of failure to process the reservation. | object | required if HotelResModifies is not specified | | | >> Error | | Contains information about individual errors. | object | | | | | Code | Specifies the error code. | string | | Specify a numeric error code. The example below uses 193 (Cancellation process failed). | | | RecordID | Specifies the Booking.com reservation ID. | string | | | | | ShortText | Specifies a short error description. | string | | |

Request body example

This section contains request body examples for acknowledging both the successful and unsuccessful processing of reservations.

Acknowledging successful Processing

The following is a request body example to acknowledge successful processing:

<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelResModifyNotifRS TimeStamp="2022-10-03T10:09:55" Target="Production">
    <Success />
    <HotelResModifies>
        <HotelResModify>
            <ResGlobalInfo>
                <HotelReservationIDs>
                    <HotelReservationID ResID_Value="3161864333"/>
                </HotelReservationIDs>
            </ResGlobalInfo>
        </HotelResModify>
    </HotelResModifies>
</OTA_HotelResModifyNotifRS>


When the feature: OTA hotel reservation response token (ota_res_response_token) is enabled.

<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelResModifyNotifRS TimeStamp="2022-10-03T10:09:55" Target="Production">
    <Success />
    <HotelResModifies>
        <HotelResModify>
          <ResGlobalInfo>
             <HotelReservationIDs>
                 <HotelReservationID ResID_Value="3161864333" ResID_Date="2022-11-21T12:15:18"/>
                 <HotelReservationID ResID_Value="ec73416d" ResID_Source="BOOKING.COM" ResID_Type="18"/>
             </HotelReservationIDs>
          </ResGlobalInfo>
       </HotelResModify>
    </HotelResModifies>
</OTA_HotelResModifyNotifRS>

Acknowledging unsuccessful Processing

The following is a request body example to acknowledge unsuccessful processing:

<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelResModifyNotifRS TimeStamp="2022-10-03T10:09:55" Target="Production">
<Errors>
        <Error Code="193" RecordID="1568716590" ShortText="Cancellation process failed"/>
    </Errors>
</OTA_HotelResModifyNotifRS>


Response body example

<?xml version="1.0" encoding="UTF-8"?>
<OTA_HotelResModifyNotifRS xmlns="http://www.opentravel.org/OTA/2003/05" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.opentravel.org/OTA/2003/05 OTA_HotelResModifyNotifRS.xsd" TimeStamp="2022-10-10T21:59:59+00:00" Target="Production" Version="2.001">
    <Success />

</OTA_HotelResModifyNotifRS>
<!-- RUID: [UmFuZG9tSVYkc2RlIyh9YQMydIV8Fx+o2Wqv/rSFjVhPQmNTNQOh0DHFllDlnQOBEtga8499WE8bMlo2GY/YYsGg5ebeklLwRietn9CAsVs=] -->



Response body elements

The following table describes the response elements:

ElementAttributeDescriptionTypeNotes
OTA_HotelResModifyNotifRSRoot element.object
> SuccessContains the success status of the request.object
> ErrorsContains the error details.object
>> ErrorContains information about individual errors.object
TypeSpecifies the error type.string
CodeSpecifies the error code.string
StatusSpecifies the reservation's processing status.string
ShortTextSpecifies a short description of the error.string
RUIDSpecifies the Booking.com RUID string, which is an encoded string used by the Booking.com staff to trace back any updates made before.objectWhenever the Connectivity Partner wishes the XML-Team to look at any logfiles for debugging or the like; the RUID string needs to be provided. This will enable the Booking.com technical staff to provide Connectivity Partners with support.

Quick Actions

→ For troubleshooting information, see Troubleshooting and list of error codes.